MONGOC_TOPOLOGY_DESCRIPTION_HAS_READABLE_SERVER(3)

NAME
mongoc_topology_description_has_readable_server - mongoc_topology_description_has_readable_server()

SYNOPSIS

bool
mongoc_topology_description_has_readable_server (
  const mongoc_topology_description_t *td, const mongoc_read_prefs_t *prefs);

Determines if the topology has a readable server available. Servers are filtered by the given read preferences only if the driver is connected to a replica set, otherwise the read preferences are ignored. This function uses the driver's current knowledge of the state of the MongoDB server or servers it is connected to; it does no I/O and it does not block.

PARAMETERS

•   td: A mongoc_topology_description_t.

•   read_prefs: A mongoc_read_prefs_t or NULL for default read preferences.

RETURNS

True if there is a known server matching prefs.

SEE ALSO:
Introduction to Application Performance Monitoring

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc